/* Original accordion tile styles changed to h4c-visual-accordion class */
/* See also .no-accordion-style in enzian _campaign.scss */

/* event tile accordion
 * We cannot work with bulma classes here: .views_accordion always outputs two views-row wrapper, see also https://www.drupal.org/project/views_accordion/issues/2771831
 * old: gitlab.com/geeks4change/drutopiadev/issues/208
 */
.h4c-visual-accordion > .views-row {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

@media only screen and (min-width: 1024px) {
  .h4c-visual-accordion .views-row .views-row {
    width: 50%; 
  }
}

/* New h4c-visual-accordion styles */

.h4c-visual-accordion .views-accordion-header__overlay--overlay, 
.h4c-visual-accordion .views-accordion-header__no-image {
  width: 100%;
  padding: 1rem;
}

.h4c-visual-accordion .views-accordion-header__overlay--overlay {
  position: absolute;
  bottom: 0;
  background: rgba(255,255,255,0.9);
}

.h4c-visual-accordion .views-accordion-header {
  overflow: hidden;
}

/* Emphasize img on hover/active */
.h4c-visual-accordion .ui-accordion-header-collapsed:hover img,
.h4c-visual-accordion .ui-accordion-header-active img {
  opacity: .75;
}

/* Minor adjustments */
.h4c-visual-accordion h3:only-child {
  margin-bottom: 0;
}
.h4c-visual-accordion .views-row .views-row {
  padding: .5rem;
}
.h4c-visual-accordion .ui-accordion-content > * {
  padding: 0 1rem;
}
.h4c-visual-accordion .h4c-info-markup .fa-ul .fa-li {
  font-size: 120%;
}
.h4c-visual-accordion .location-reference {
  padding-bottom: 1rem;
}

/* Unset some styles (mostly coming from enzian) */
.h4c-visual-accordion .h4c-info-markup .h4c-event-date {
  font-weight: unset !important;
  font-size: 1.3rem !important;
}

.h4c-visual-accordion .ui-accordion-header-collapsed:hover {
  background-color: unset !important;
}
.h4c-visual-accordion .views-accordion-header {
  padding: unset !important;
}
.h4c-visual-accordion li {
  list-style: none !important;
}

/* Do not show specific elements which are in markup twig */
.h4c-visual-accordion .h4c-location-wheelchair, 
.h4c-visual-accordion .h4c-organisations, 
.h4c-visual-accordion .h4c-cost, 
.h4c-visual-accordion .h4c-website {
  display: none;
}

.h4c-visual-accordion .views-accordion-header__overlay--overlay .location-reference {
  display: none;
}


/* Border styles and color for visual accordion used in h4c_simple_content_embed*/
.h4c-visual-accordion .ui-accordion-header-collapsed {
  border: var(--enzian--color-primary) 1px solid !important;
}

.h4c-visual-accordion .ui-accordion-header-active {
  border-top: var(--enzian--color-primary) 1px solid !important;
  border-right: var(--enzian--color-primary) 1px solid !important;
  border-left: var(--enzian--color-primary) 1px solid !important;
}
.h4c-visual-accordion .ui-accordion-content-active {
  border-bottom: var(--enzian--color-primary) 1px solid !important;
  border-right: var(--enzian--color-primary) 1px solid !important;
  border-left: var(--enzian--color-primary) 1px solid !important;
}

.h4c-visual-accordion .location-reference {
  color: var(--enzian--color-primary);
}